Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.services
Class MethodIterator

    java.lang.Object
      org.apache.tapestry5.ioc.services.MethodIterator

Deprecated. In 5.3, to be removed in a later release

    public class MethodIterator

extends java.lang.Object

Utility used to iterate over the publically visible methods of a class or interface. The MethodIterator understands some complications that can occur when a class inherits the same method from multiple interfaces and with slightly different signatures (due to the fact that declared thrown exceptions can vary slightly for the "same" method).

See Also:
  `MethodSignature.isOverridingSignatureOf(MethodSignature)`

Constructor Summary
`MethodIterator(java.lang.Class subjectClass)` Deprecated.

Method Summary
`boolean` | `getToString()` Deprecated. Returns true if the method `public String toString()` is part of the interface.
`boolean` | `hasNext()` Deprecated.
`MethodSignature` | `next()` Deprecated. Returns the next method (as a `MethodSignature`, returning null when all are exhausted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodIterator

    public MethodIterator(java.lang.Class subjectClass)

  Deprecated.

Method Detail

### hasNext

    public boolean hasNext()

  Deprecated.

### next

    public MethodSignature next()

  Deprecated.
  Returns the next method (as a `MethodSignature`, returning null when all are exhausted. Each method signature is returned exactly once (even if the same method signature is defined in multiple inherited classes or interfaces). The method signatures returned in ascending order, according to the "natural ordering".

  Throws:
    `java.util.NoSuchElementException` - if there are no more signatures

### getToString

    public boolean getToString()

  Deprecated.
  Returns true if the method `public String toString()` is part of the interface. This will be known immediately after iterator contruction (it is not necessary to iterate the methods first).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.